com.io7m.jcanephora.core

## Class JCGLClearSpecificationMutable

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLClearSpecificationMutable

- All Implemented Interfaces:
    JCGLClearSpecificationType

      @Generated(value={"Modifiables.generator","JCGLClearSpecificationType"})
      public final class JCGLClearSpecificationMutable
      extends Object
      implements JCGLClearSpecificationType

  A modifiable implementation of the `JCGLClearSpecificationType` type.

  Use the `create()` static factory methods to create new instances.

  JCGLClearSpecificationMutable is not thread-safe

  See Also:
    `JCGLClearSpecification`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLClearSpecificationMutable` | `clear()` Clears the object by setting all attributes to their initial values.
    `static JCGLClearSpecificationMutable` | `create()` Construct a modifiable instance of `JCGLClearSpecificationType`.
    `static JCGLClearSpecificationMutable` | `create(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear, OptionalDouble depthBufferClear, OptionalInt stencilBufferClear, boolean strictChecking)` Construct a modifiable instance of `JCGLClearSpecificationType`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLClearSpecificationMutable` that have equal attribute values.
    `JCGLClearSpecificationMutable` | `from(JCGLClearSpecificationType instance)` Fill this modifiable instance with attribute values from the provided `JCGLClearSpecificationType` instance.
    `Optional<com.io7m.jtensors.VectorReadable4FType>` | `getColorBufferClear()`
    `OptionalDouble` | `getDepthBufferClear()`
    `OptionalInt` | `getStencilBufferClear()`
    `boolean` | `getStrictChecking()`
    `int` | `hashCode()` Computes a hash code from attributes: `colorBufferClear`, `depthBufferClear`, `stencilBufferClear`, `strictChecking`.
    `boolean` | `isInitialized()` Returns `true` if all required attributes are set, indicating that the object is initialized.
    `JCGLClearSpecificationMutable` | `setColorBufferClear(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear)` Assigns an optional value for `colorBufferClear`.
    `JCGLClearSpecificationMutable` | `setColorBufferClear(com.io7m.jtensors.VectorReadable4FType colorBufferClear)` Assigns a present value for the optional `colorBufferClear` attribute.
    `JCGLClearSpecificationMutable` | `setDepthBufferClear(double depthBufferClear)` Assigns a present value for the optional `depthBufferClear` attribute.
    `JCGLClearSpecificationMutable` | `setDepthBufferClear(OptionalDouble depthBufferClear)` Assigns an optional value for `depthBufferClear`.
    `JCGLClearSpecificationMutable` | `setStencilBufferClear(int stencilBufferClear)` Assigns a present value for the optional `stencilBufferClear` attribute.
    `JCGLClearSpecificationMutable` | `setStencilBufferClear(OptionalInt stencilBufferClear)` Assigns an optional value for `stencilBufferClear`.
    `JCGLClearSpecificationMutable` | `setStrictChecking(boolean strictChecking)` Assigns a value to the `strictChecking` attribute.
    `boolean` | `strictCheckingIsSet()` Returns `true` if the default attribute `strictChecking` is set.
    `JCGLClearSpecification` | `toImmutable()` Converts to `JCGLClearSpecification`.
    `String` | `toString()` Generates a string representation of this `JCGLClearSpecificationType`.
    `JCGLClearSpecificationMutable` | `unsetStrictChecking()` Reset an attribute to its initial value.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static JCGLClearSpecificationMutable create(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear,
                                                             OptionalDouble depthBufferClear,
                                                             OptionalInt stencilBufferClear,
                                                             boolean strictChecking)

      Construct a modifiable instance of `JCGLClearSpecificationType`.
      Parameters:
        `colorBufferClear` - The value for the `colorBufferClear` attribute
        `depthBufferClear` - The value for the `depthBufferClear` attribute
        `stencilBufferClear` - The value for the `stencilBufferClear` attribute
        `strictChecking` - The value for the `strictChecking` attribute
      Returns:
        A new modifiable instance

    - #### create

          public static JCGLClearSpecificationMutable create()

      Construct a modifiable instance of `JCGLClearSpecificationType`.
      Returns:
        A new modifiable instance

    - #### getColorBufferClear

          public final Optional<com.io7m.jtensors.VectorReadable4FType> getColorBufferClear()

      Specified by:
        `getColorBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The color to which the color buffer will be cleared, if color buffer clearing is enabled

    - #### getDepthBufferClear

          public final OptionalDouble getDepthBufferClear()

      Specified by:
        `getDepthBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The depth value to which the depth buffer will be cleared, if depth buffer clearing is enabled

    - #### getStencilBufferClear

          public final OptionalInt getStencilBufferClear()

      Specified by:
        `getStencilBufferClear` in interface `JCGLClearSpecificationType`
      Returns:
        The stencil value to which the stencil buffer will be cleared, if stencil buffer clearing is enabled

    - #### getStrictChecking

          public final boolean getStrictChecking()

      Specified by:
        `getStrictChecking` in interface `JCGLClearSpecificationType`
      Returns:
        `true` if strict buffer checking is enabled

    - #### clear

          public JCGLClearSpecificationMutable clear()

      Clears the object by setting all attributes to their initial values.
      Returns:
        `this` for use in a chained invocation

    - #### from

          public JCGLClearSpecificationMutable from(JCGLClearSpecificationType instance)

      Fill this modifiable instance with attribute values from the provided `JCGLClearSpecificationType` instance. Regular attribute values will be overridden, i.e. replaced with ones of an instance. Any of the instance's absent optional values will not be copied (will not override current values).
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` for use in a chained invocation

    - #### setColorBufferClear

          public JCGLClearSpecificationMutable setColorBufferClear(com.io7m.jtensors.VectorReadable4FType colorBufferClear)

      Assigns a present value for the optional `colorBufferClear` attribute.
      Parameters:
        `colorBufferClear` - A value for colorBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setColorBufferClear

          public JCGLClearSpecificationMutable setColorBufferClear(Optional<com.io7m.jtensors.VectorReadable4FType> colorBufferClear)

      Assigns an optional value for `colorBufferClear`.
      Parameters:
        `colorBufferClear` - A value for colorBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setDepthBufferClear

          public JCGLClearSpecificationMutable setDepthBufferClear(double depthBufferClear)

      Assigns a present value for the optional `depthBufferClear` attribute.
      Parameters:
        `depthBufferClear` - A value for depthBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setDepthBufferClear

          public JCGLClearSpecificationMutable setDepthBufferClear(OptionalDouble depthBufferClear)

      Assigns an optional value for `depthBufferClear`.
      Parameters:
        `depthBufferClear` - A value for depthBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setStencilBufferClear

          public JCGLClearSpecificationMutable setStencilBufferClear(int stencilBufferClear)

      Assigns a present value for the optional `stencilBufferClear` attribute.
      Parameters:
        `stencilBufferClear` - A value for stencilBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setStencilBufferClear

          public JCGLClearSpecificationMutable setStencilBufferClear(OptionalInt stencilBufferClear)

      Assigns an optional value for `stencilBufferClear`.
      Parameters:
        `stencilBufferClear` - A value for stencilBufferClear
      Returns:
        `this` for use in a chained invocation

    - #### setStrictChecking

          public JCGLClearSpecificationMutable setStrictChecking(boolean strictChecking)

      Assigns a value to the `strictChecking` attribute.

      If not set, this attribute will have a default value returned by the initializer of `strictChecking`.

      Parameters:
        `strictChecking` - The value for strictChecking
      Returns:
        `this` for use in a chained invocation

    - #### strictCheckingIsSet

          public final boolean strictCheckingIsSet()

      Returns `true` if the default attribute `strictChecking` is set.
      Returns:
        `true` if set

    - #### unsetStrictChecking

          public final JCGLClearSpecificationMutable unsetStrictChecking()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### isInitialized

          public final boolean isInitialized()

      Returns `true` if all required attributes are set, indicating that the object is initialized.
      Returns:
        `true` if set

    - #### toImmutable

          public final JCGLClearSpecification toImmutable()

      Converts to `JCGLClearSpecification`.
      Returns:
        An immutable instance of JCGLClearSpecification

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLClearSpecificationMutable` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `colorBufferClear`, `depthBufferClear`, `stencilBufferClear`, `strictChecking`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Generates a string representation of this `JCGLClearSpecificationType`. If uninitialized, some attribute values may appear as question marks.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation

Copyright © 2016 <code@io7m.com> http://io7m.com